"use strict";
const common_vendor = require("../common/vendor.js");
require("../common/libraries/request.js");
require("../common/store/useWatermarkStore.js");
const common_store_useWeAppAuthStore = require("../common/store/useWeAppAuthStore.js");
require("../common/store/useWorkStore.js");
require("../gen/Apis.js");
require("../common/libraries/apiLoading.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  const _easycom_hs_button2 = common_vendor.resolveComponent("hs-button");
  const _easycom_hs_private_policy2 = common_vendor.resolveComponent("hs-private-policy");
  (_easycom_uni_icons2 + _easycom_hs_button2 + _easycom_hs_private_policy2)();
}
const _easycom_uni_icons = () => "../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
const _easycom_hs_button = () => "../components/hs-button/hs-button.js";
const _easycom_hs_private_policy = () => "../components/hs-private-policy/hs-private-policy.js";
if (!Math) {
  (_easycom_uni_icons + _easycom_hs_button + _easycom_hs_private_policy)();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "login",
  setup(__props) {
    const capsuleRect = common_vendor.ref({});
    const environment = common_vendor.ref("");
    const auth = common_store_useWeAppAuthStore.useWeAppAuthStore();
    let CheckedVal = common_vendor.ref(false);
    const handleGetPhoneNumberWxwork = () => {
      if (!privacyToast()) {
        return;
      }
      common_vendor.index.showLoading({
        title: "正在登录...",
        mask: true
      });
      common_vendor.index.qy.getMobile({
        success: function(res) {
          console.log(res, "res");
          if ((res == null ? void 0 : res.errMsg) === "qy__getMobile:ok") {
            auth == null ? void 0 : auth.handleUserLoginWxwork(res);
          } else {
            common_vendor.index.showToast({
              title: "获取手机号失败",
              icon: "none"
            });
          }
        }
      });
    };
    const handleGetPhoneNumber = async (data) => {
      if (!CheckedVal.value) {
        return false;
      }
      common_vendor.index.showLoading({
        title: "正在登录...",
        mask: true
      });
      auth == null ? void 0 : auth.handleUserLogin({ code: data.detail.code });
    };
    const privacyToast = () => {
      if (!CheckedVal.value) {
        common_vendor.index.showToast({
          title: "请阅读并勾选隐私政策！",
          icon: "none"
        });
        return false;
      }
      return true;
    };
    const previewPdf = () => {
      common_vendor.index.showLoading({
        title: "加载中...",
        mask: true
      });
      common_vendor.index.downloadFile({
        url: "https://pay-test-1369486729.cos.ap-guangzhou.myqcloud.com/uploads/cs-test/01K44N5AP6T246WQWHNB2ERQ9M.pdf",
        success: function(e) {
          const filePath = e.tempFilePath;
          common_vendor.index.hideLoading();
          common_vendor.index.openDocument({
            filePath,
            showMenu: true
          });
        }
      });
    };
    const handleBack = () => {
      common_vendor.index.navigateBack({
        delta: 1
      });
    };
    common_vendor.onLoad(() => {
      try {
        const res = common_vendor.index.getSystemInfoSync();
        environment.value = res.environment;
      } catch (e) {
      }
    });
    common_vendor.onShow(() => {
      capsuleRect.value = common_vendor.index.getMenuButtonBoundingClientRect();
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.p({
          type: "left",
          size: "20"
        }),
        b: common_vendor.s(`height:${capsuleRect.value.height}px;width:${capsuleRect.value.height}px;`),
        c: common_vendor.o(handleBack),
        d: common_vendor.s(`padding-top:${capsuleRect.value.top}px;height:${capsuleRect.value.height}px;line-height:${capsuleRect.value.height}px;`),
        e: environment.value === "wxwork"
      }, environment.value === "wxwork" ? {
        f: common_vendor.o(handleGetPhoneNumberWxwork),
        g: common_vendor.p({
          label: "快捷登录",
          type: "primary",
          size: "lg"
        })
      } : {
        h: common_vendor.o(handleGetPhoneNumber),
        i: common_vendor.o(privacyToast),
        j: common_vendor.p({
          type: "primary",
          size: "lg",
          label: "快捷登录",
          openType: common_vendor.unref(CheckedVal) ? "getPhoneNumber" : ""
        })
      }, {
        k: common_vendor.o(previewPdf),
        l: common_vendor.o(($event) => common_vendor.isRef(CheckedVal) ? CheckedVal.value = $event : CheckedVal = $event),
        m: common_vendor.p({
          policyName: "《用户协议》",
          isAgree: common_vendor.unref(CheckedVal)
        })
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/login.vue"]]);
wx.createPage(MiniProgramPage);
